TTF_OpenFont(3)

NAME
TTF_OpenFont - Create a font from a file, using a specified point size.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

TTF_Font * TTF_OpenFont(const char *file, float ptsize);

DESCRIPTION
Some .fon fonts will have several sizes embedded in the file, so the point size becomes the index of choosing which size. If the value is too high, the last indexed size will be the default.

When done with the returned TTF_Font , use

TTF_CloseFont () to dispose of it.

FUNCTION PARAMETERS

file
    path to font file.

ptsize
    point size to use for the newly-opened font.

RETURN VALUE
( TTF_Font
 *) Returns a valid TTF_Font , or NULL on failure; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.

SEE ALSO
•(3), TTF_CloseFont(3)